## roundcube 1.6.4+dfsg

=== Makefile ===
#
# This file is used by developers to build release packages
#

GITREMOTE=https://github.com/roundcube/roundcubemail.git
GITBRANCH=release-1.6
GPGKEY=devs@roundcube.net
VERSION=1.6-git
SEDI=sed -i
PHP_VERSION=7.3

UNAME_S := $(shell uname -s)
ifeq ($(UNAME_S),Darwin)
    SEDI=sed -i ''
endif

all: clean complete dependent framework

complete: roundcubemail-git
	cp -RH roundcubemail-git roundcubemail-$(VERSION)
	(cd roundcubemail-$(VERSION); cp composer.json-dist composer.json)
	(cd roundcubemail-$(VERSION); php /tmp/composer.phar config platform.php $(PHP_VERSION))
	(cd roundcubemail-$(VERSION); php /tmp/composer.phar require "kolab/net_ldap3:~1.1.1" --no-update --no-install)
	(cd roundcubemail-$(VERSION); php /tmp/composer.phar config --unset suggest.kolab/net_ldap3)
	(cd roundcubemail-$(VERSION); php /tmp/composer.phar config --unset require-dev)
	(cd roundcubemail-$(VERSION); php /tmp/composer.phar install --prefer-dist --no-dev --no-interaction)
	(cd roundcubemail-$(VERSION); php /tmp/composer.phar config --unset platform)
	(cd roundcubemail-$(VERSION); bin/install-jsdeps.sh --force)
	(cd roundcubemail-$(VERSION); bin/jsshrink.sh program/js/publickey.js; bin/jsshrink.sh plugins/managesieve/codemirror/lib/codemirror.js)
	(cd roundcubemail-$(VERSION); rm -f jsdeps.json bin/install-jsdeps.sh *.orig; rm -rf temp/js_cache)
	(cd roundcubemail-$(VERSION); rm -rf vendor/pear/*/tests vendor/*/*/.git* vendor/*/*/.travis* vendor/*/*/phpunit.xml.dist vendor/pear/console_commandline/docs vendor/pear/net_ldap2/doc vendor/bacon/bacon-qr-code/test vendor/dasprid/enum/test)
	(cd roundcubemail-$(VERSION); echo "// generated by Roundcube install $(VERSION)" >> vendor/autoload.php)
	tar czf roundcubemail-$(VERSION)-complete.tar.gz roundcubemail-$(VERSION)
	rm -rf roundcubemail-$(VERSION)

dependent: roundcubemail-git
	cp -RH roundcubemail-git roundcubemail-$(VERSION)
	tar czf roundcubemail-$(VERSION).tar.gz roundcubemail-$(VERSION)
	rm -rf roundcubemail-$(VERSION)
 
framework: roundcubemail-git /tmp/phpDocumentor.phar
	cp -r roundcubemail-git/program/lib/Roundcube roundcube-framework-$(VERSION)
	(cd roundcube-framework-$(VERSION); php /tmp/phpDocumentor.phar -d . -t ./doc --title="Roundcube Framework" --defaultpackagename="Framework" --template="clean")
	(cd roundcube-framework-$(VERSION); rm -rf doc/phpdoc-cache* .phpdoc)
	tar czf roundcube-framework-$(VERSION).tar.gz roundcube-framework-$(VERSION)
	rm -rf roundcube-framework-$(VERSION)

sign:
	gpg -u $(GPGKEY) -a --detach-sig roundcubemail-$(VERSION).tar.gz
	gpg -u $(GPGKEY) -a --detach-sig roundcubemail-$(VERSION)-complete.tar.gz
	gpg -u $(GPGKEY) -a --detach-sig roundcube-framework-$(VERSION).tar.gz

verify:
	gpg -v --verify roundcubemail-$(VERSION).tar.gz.asc roundcubemail-$(VERSION).tar.gz
	gpg -v --verify roundcubemail-$(VERSION)-complete.tar.gz.asc roundcubemail-$(VERSION)-complete.tar.gz
	gpg -v --verify roundcube-framework-$(VERSION).tar.gz.asc roundcube-framework-$(VERSION).tar.gz

shasum:
	shasum -a 256 roundcubemail-$(VERSION).tar.gz roundcubemail-$(VERSION)-complete.tar.gz roundcube-framework-$(VERSION).tar.gz

roundcubemail-git: buildtools
	git clone --branch=$(GITBRANCH) --depth=1 $(GITREMOTE) roundcubemail-git
	(cd roundcubemail-git; bin/jsshrink.sh; bin/updatecss.sh; bin/cssshrink.sh)
	(cd roundcubemail-git/skins/elastic; \
		lessc --clean-css="--s1 --advanced" styles/styles.less > styles/styles.min.css; \
		lessc --clean-css="--s1 --advanced" styles/print.less > styles/print.min.css; \
		lessc --clean-css="--s1 --advanced" styles/embed.less > styles/embed.min.css)
	(cd roundcubemail-git/bin; rm -f transifexpull.sh package2composer.sh)
	(cd roundcubemail-git; find . -name '.gitignore' | xargs rm -f)
	(cd roundcubemail-git; find . -name '.travis.yml' | xargs rm -f)
	(cd roundcubemail-git; rm -rf tests plugins/*/tests .git* .tx* .ci* .editorconfig* index-test.php Dockerfile Makefile)
	(cd roundcubemail-git; $(SEDI) 's/1.6-git/$(VERSION)/' index.php public_html/index.php program/include/iniset.php program/lib/Roundcube/bootstrap.php)
	(cd roundcubemail-git; $(SEDI) 's/# Unreleased/# Release $(VERSION)'/ CHANGELOG.md)

buildtools: /tmp/composer.phar
	npm install uglify-js
	npm install lessc
	npm install less-plugin-clean-css
	npm install csso-cli

/tmp/composer.phar:
	curl -sS https://getcomposer.org/installer | php -- --install-dir=/tmp/

/tmp/phpDocumentor.phar:
	curl -sSL https://phpdoc.org/phpDocumentor.phar -o /tmp/phpDocumentor.phar

clean:
	rm -rf roundcubemail-git
	rm -rf roundcubemail-$(VERSION)*

=== debian/changelog ===
roundcube (1.6.4+dfsg-1~deb12u1) bookworm-security; urgency=high

  * New upstream security and bugfix release:
    + Fix CVE-2023-5631: Cross-site scripting (XSS) vulnerability in handling
      of SVG in HTML messages. (Closes: #1054079)
    + Managesieve plugin: Fix javascript error when relational or spamtest
      extension is not enabled.
    + Fix PHP8 warnings.
  * Replace upstream release “version” 1.6-git with the actual tagged version.
  * Add DEP-8 test to check RCMAIL_VERSION against d/changelog.
  * Salsa CI: Disable lintian and reprotest jobs.
  * Refresh patches.

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 19 Oct 2023 00:20:52 +0200

roundcube (1.6.3+dfsg-1~deb12u1) bookworm; urgency=medium

  * Rebuild for bookworm.
  * Salsa CI: Set RELEASE=bookworm.
  * d/gbp.conf: Set --debian-branch=debian/bookworm.

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 25 Sep 2023 14:22:10 +0200

roundcube (1.6.3+dfsg-1) unstable; urgency=medium

  * New upstream security and bugfix release:
    + Fix CVE-2023-43770: cross-site scripting (XSS) vulnerability in handling
      of linkrefs in plain text messages. (Closes: #1052059)
    + Fix regression that broke use_secure_urls feature hence OAuth2
      authentication. (Closes: #1050317)
    + Fix regression where LDAP addressbook 'filter' option was ignored.
    + Fix regression in decoding mail parts FETCHed from IMAP.
    + Fix PHP8 warnings.
  * roundcube-core.cron: Trigger gc twice every hour. (Closes: #1043395)
  * Fix GuzzleHttp autoload location. (Closes: #1040705)
  * d/p/fix-autoload-location.patch: Set ‘Forwarded: not-needed’ DEP-3 header.
  * Refresh d/patches.

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 18 Sep 2023 14:18:17 +0200

## roundcube 1.6.5+dfsg

=== Makefile ===
--- 
+++ 
@@ -69,7 +69,7 @@
 	(cd roundcubemail-git; find . -name '.gitignore' | xargs rm -f)
 	(cd roundcubemail-git; find . -name '.travis.yml' | xargs rm -f)
 	(cd roundcubemail-git; rm -rf tests plugins/*/tests .git* .tx* .ci* .editorconfig* index-test.php Dockerfile Makefile)
-	(cd roundcubemail-git; $(SEDI) 's/1.6-git/$(VERSION)/' index.php public_html/index.php program/include/iniset.php program/lib/Roundcube/bootstrap.php)
+	(cd roundcubemail-git; $(SEDI) 's/1.6-git/$(VERSION)/' index.php public_html/index.php installer/index.php program/include/iniset.php program/lib/Roundcube/bootstrap.php)
 	(cd roundcubemail-git; $(SEDI) 's/# Unreleased/# Release $(VERSION)'/ CHANGELOG.md)
 
 buildtools: /tmp/composer.phar

=== debian/changelog ===
roundcube (1.6.5+dfsg-1+deb12u5) bookworm-security; urgency=high

  * Fix CVE-2025-49113: Post-Auth RCE via PHP Object Deserialization.
    (Closes: #1107073)
  * Regression fix: CVE-2024-42009.patch from 1.6.5+dfsg-1+deb12u3 and
    1.6.5+dfsg-1+deb12u4 caused some HTML messages to be displayed unstyled.

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 02 Jun 2025 10:01:44 +0200

roundcube (1.6.5+dfsg-1+deb12u4) bookworm-security; urgency=medium

  * Regression fix: The original fix for CVE-2024-42008 broke printing and
    other handling of image attachments. (Closes: #1078456)

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 12 Aug 2024 14:59:59 +0200

roundcube (1.6.5+dfsg-1+deb12u3) bookworm-security; urgency=high

  * Cherry pick upstream security fixes from v1.6.8 (closes: #1077969):
    + CVE-2024-42008: Cross-site scripting (XSS) vulnerability in serving of
      attachments other than HTML or SVG.
    + CVE-2024-42009: Cross-site scripting (XSS) vulnerability in
      post-processing of sanitized HTML content.
    + CVE-2024-42010: Fix information leak (access to remote content) via
      insufficient CSS filtering.
  * Cherry pick further upstream changes from v1.6.8:
    + Fix fatal error when parsing some TNEF attachments.
    + Fix bug where an unhandled exception was caused by an invalid image
      attachment.
    + Fix infinite loop when parsing malformed Sieve script.
    + Fix bug where imap_conn_option's 'socket' was ignored.

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 06 Aug 2024 16:02:54 +0200

roundcube (1.6.5+dfsg-1+deb12u2) bookworm-security; urgency=high

  * Fix CVE-2024-37384: Cross-site scripting (XSS) vulnerability in handling
    list columns from user preferences. (Closes: #1071474)
  * Fix CVE-2024-37383: Cross-site scripting (XSS) vulnerability in handling
    SVG animate attributes. (Closes: #1071474)

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 17 Jun 2024 03:15:26 +0200

roundcube (1.6.5+dfsg-1~deb12u1) bookworm-security; urgency=high

  * New upstream security and bugfix release:
    + Fix CVE-2023-47272: Cross-site scripting (XSS) vulnerability in setting
      Content-Type/Content-Disposition for attachment preview/download.
      (Closes: #1055421)
    + Fix PHP8 fatal error when parsing a malformed BODYSTRUCTURE.
    + Fix UI issue when dealing with an invalid managesieve_default_headers
      value.
    + Fix bug where images attached to application/smil messages weren't
      displayed.
    + Fix PHP8 warnings.
    + Fix regression where ‘smtp_user’ did not allow pre/post strings
      before/after ‘%u’ placeholder.
  * Refresh d/patches.

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 28 Nov 2023 16:10:54 +0100

=== debian/control ===
Source: roundcube
Section: web
Priority: optional
Maintainer: Debian Roundcube Maintainers <pkg-roundcube-maintainers@alioth-lists.debian.net>
Uploaders: Vincent Bernat <bernat@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Guilhem Moulin <guilhem@debian.org>
Build-Depends: aspell-en <!nocheck>,
               cleancss,
               debhelper-compat (= 13),
               dh-buildinfo,
               hunspell-en-us <!nocheck>,
               locales <!nocheck>,
               node-less (>= 3.0.0~),
               php-bacon-qr-code [!armel !armhf !i386 !mipsel] <!nocheck>,
               php-crypt-gpg <!nocheck>,
               php-enchant <!nocheck>,
               php-gd <!nocheck>,
               php-intl <!nocheck>,
               php-mail-mime <!nocheck>,
               php-masterminds-html5 <!nocheck>,
               php-mbstring,
               php-net-ldap3 <!nocheck>,
               php-pspell <!nocheck>,
               php-roundcube-rtf-html-php <!nocheck>,
               php-sqlite3 <!nocheck>,
               phpunit (>= 9~) <!nocheck>,
               pigz,
               pkg-php-tools,
               po-debconf,
               sqlite3 <!nocheck>,
               uglifyjs
Rules-Requires-Root: no
Homepage: https://www.roundcube.net/
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/roundcube-team/roundcube.git -b debian/latest
Vcs-Browser: https://salsa.debian.org/roundcube-team/roundcube

Package: roundcube-core
Architecture: all
Pre-Depends: dpkg (>= 1.17.14)
Depends: dbconfig-common,
         debconf,
         libjs-bootstrap4 (>= 4.5.2~),
         libjs-codemirror (>= 5.58.3~),
         libjs-jquery (>= 3.5.1~),
         libjs-jquery-minicolors (>= 2.2.6~),
         libjs-jquery-ui (>= 1.12.0~),
         libjs-jstimezonedetect (>= 1.0.6~),
         libmagic1,
         php,
         php-cli,
         php-intl,
         php-json,
         php-mbstring,
         php-pear (>= 1:1.10.1),
         roundcube-mysql (= ${source:Version}) | roundcube-sqlite3 (= ${source:Version}) | roundcube-pgsql (= ${source:Version}),
         ucf,
         ${misc:Depends},
         ${phpcomposer:Debian-require}
Recommends: apache2 | lighttpd | spawn-fcgi | php-fpm | httpd-cgi,
            php-enchant,
            php-gd,
            roundcube-skin-classic,
            roundcube-skin-larry,
            ${phpcomposer:Debian-recommend}
Suggests: roundcube-plugins, ${phpcomposer:Debian-suggest}
Breaks: roundcube-plugins-extra (<= 0.6-20111030)
Replaces: roundcube-plugins-extra (<= 0.6-20111030),
          ${phpcomposer:Debian-replace}
Description: skinnable AJAX based webmail solution for IMAP servers
 RoundCube Webmail is a browser-based multilingual IMAP client with an
 application-like user interface. It provides full functionality
 expected from an e-mail client, including MIME support, address book,
 folder manipulation and message filters.
 .
 The user interface is fully skinnable using XHTML and CSS 2.
 .
 This package provides the core code for roundcube. You should install
 it along with one of the roundcube database metapackages.

Package: roundcube
Architecture: all
Pre-Depends: dpkg (>= 1.17.14)
Depends: roundcube-core (= ${source:Version}), ${misc:Depends}
Breaks: roundcube-core (<< 1.1.1+dfsg.1-1)
Description: skinnable AJAX based webmail solution for IMAP servers - metapackage
 RoundCube Webmail is a browser-based multilingual IMAP client with an
 application-like user interface. It provides full functionality
 expected from an e-mail client, including MIME support, address book,
 folder manipulation and message filters.
 .
 The user interface is fully skinnable using XHTML and CSS 2.
 .
 This package will install a full roundcube application.

Package: roundcube-mysql
Architecture: all
Depends: mariadb-client | default-mysql-client | virtual-mysql-client,
         php-mysql | php-mysqlnd,
         ${misc:Depends}
Suggests: mariadb-server | default-mysql-server
Description: metapackage providing MySQL dependencies for RoundCube
 This package provides MySQL dependencies for RoundCube Webmail, a
 skinnable AJAX based webmail solution for IMAP servers. Install this
 one if you want to use a MySQL database with RoundCube.

Package: roundcube-pgsql
Architecture: all
Depends: php-pgsql, postgresql-client, ${misc:Depends}
Suggests: postgresql
Description: metapackage providing PostgreSQL dependencies for RoundCube
 This package provides PostgreSQL dependencies for RoundCube Webmail,
 a skinnable AJAX based webmail solution for IMAP servers. Install
 this one if you want to use a PostgreSQL database with RoundCube.

Package: roundcube-sqlite3
Architecture: all
Depends: php-sqlite3, sqlite3, ${misc:Depends}
Description: metapackage providing SQLite dependencies for RoundCube
 This package provides SQLite dependencies for RoundCube Webmail,
 a skinnable AJAX based webmail solution for IMAP servers. Install
 this one if you want to use a SQLite database with RoundCube.

Package: roundcube-plugins
Architecture: all
Pre-Depends: dpkg (>= 1.17.14)
Depends: roundcube-core (= ${source:Version}), ${misc:Depends}
Suggests: php-cli, php-crypt-gpg, php-net-sieve, php-zip, python3
Breaks: roundcube-plugins-extra (<= 0.7-20120110)
Replaces: roundcube-plugins-extra (<= 0.7-20120110)
Description: skinnable AJAX based webmail solution for IMAP servers - plugins
 RoundCube Webmail is a browser-based multilingual IMAP client with an
 application-like user interface. It provides full functionality
 expected from an e-mail client, including MIME support, address book,
 folder manipulation and message filters.
 .
 The user interface is fully skinnable using XHTML and CSS 2.
 .
 This package provides several plugins for Roundcube. They should be
 enabled in the configuration of Roundcube.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
DEB_VERSION_UPSTREAM_MINOR = $(shell echo "$(DEB_VERSION_UPSTREAM)" | sed -r 's/\+dfsg(\.[0-9])?[0-9]*$$//')
DEB_VERSION_UPSTREAM_BRANCH = $(shell echo "$(DEB_VERSION_UPSTREAM_MINOR)" | sed -r 's/\.[0-9]+$$/-git/')

SRC_FILES := $(shell find program skins plugins -path program/js/tinymce -prune -o -type f -print)
PLUGINS := $(patsubst plugins/%/composer.json,%,$(wildcard plugins/*/composer.json))
SKINS := $(patsubst skins/%/meta.json,%,$(wildcard skins/*/meta.json))
CORE_PLUGINS = filesystem_attachments jqueryui

# don't use bin/install-jsdeps.sh on purpose: we need to export to the right place and minify manually
JSDEPS_FILES = program/js/publickey.js \
	$(shell find tinymce/js/tinymce -path tinymce/js/tinymce/themes/mobile -prune -o \
		\( \! -path tinymce/js/tinymce/license.txt \! -path tinymce/js/tinymce/langs/README.md \
			\! -path tinymce/js/tinymce/README.md \! -path tinymce/js/tinymce/tinymce.d.ts \
			-type f \) \
		-printf "program/js/tinymce/%P\\n" )
JSDEPS_FILES_NOSHRINK = $(patsubst tinymce-langs/%,program/js/tinymce/langs/%,$(wildcard tinymce-langs/*.js))

%:
	dh $@ --with phpcomposer

program/js/publickey.js: $(wildcard debian/missing-sources/publickey-*.js)
	install -m0644 -DT -- $< $@

program/js/tinymce/%: tinymce/js/tinymce/%
	install -m0644 -DT -- $< $@

program/js/tinymce/langs/%.js: tinymce-langs/%.js
	install -m0644 -DT -- $< $@

JS_MINFILES = $(patsubst %.js,%.min.js,$(filter-out %.min.js,$(filter %.js,$(SRC_FILES) $(JSDEPS_FILES))))
CSS_MINFILES = $(patsubst %.css,%.min.css,$(filter-out %.min.css, \
		$(filter %.css,$(SRC_FILES) $(JSDEPS_FILES))) $(CSS_GENFILES_ELASTIC))
CSS_GENFILES_ELASTIC = $(addprefix skins/elastic/styles/,styles.css print.css embed.css)
, = ,

# Minify JS: generate .min.js from .js source (cf. bin/jsshrink.sh)
%.min.js: %.js
	uglifyjs --compress --mangle $(if $(filter $@.map,$(GENERATED_MAPFILES)),--source-map "base='$(@D)'$(,)url='$(@F).map'",) \
		-o $@ -- $<

# Minify CSS: generate .min.css from .css source (cf. bin/cssshrink.sh)
CSS_STAMPFILE = updatecss-stamp
%.min.css: %.css $(CSS_STAMPFILE)
	cd $(@D) && cleancss $(if $(filter $@.map,$(GENERATED_MAPFILES)),--source-map,) -o $(@F) -- $(<F)

# XXX bin/updatecss.sh edits CSS sources in place, so auto_clean might
# not cleanup; it is idempotent so it doesn't matter too much for us though
updatecss: $(CSS_STAMPFILE)
$(CSS_STAMPFILE): $(filter-out %.min.css,$(filter %.css,$(SRC_FILES))) $(CSS_GENFILES_ELASTIC)
	env ROUNDCUBE_CONFIG_DIR=$(CURDIR)/config bin/updatecss.sh
	touch -- $@
.PHONY: updatecss

# Cf. skins/elastic/README.md
$(CSS_GENFILES_ELASTIC): skins/elastic/%.css: skins/elastic/%.less
	cd skins/elastic && lessc --source-map "$*.less" "$*.css"

# For each plugin with a config.inc.php.dist, we create a config.inc.php with dummy content
PLUGINS_CONFIGURABLE = $(patsubst plugins/%/config.inc.php.dist,%, \
	$(wildcard $(patsubst %,plugins/%/config.inc.php.dist,$(PLUGINS))))
PLUGIN_CONF_GEN = $(patsubst %,plugins/%/config.inc.php,$(PLUGINS_CONFIGURABLE))
$(PLUGIN_CONF_GEN): plugins/%/config.inc.php: plugins/%/config.inc.php.dist
	$(file >$@,<?php)
	$(file >>$@,// Empty configuration for $*)
	$(file >>$@,// See /usr/share/roundcube/plugins/$*/config.inc.php.dist for instructions)
	$(file >>$@,// Check the access right of the file if you put sensitive information in it.)
	$(file >>$@,$$config=array();)
	$(file >>$@,?>)

GENERATED_FILES = $(PLUGIN_CONF_GEN) $(JSDEPS_FILES) $(JSDEPS_FILES_NOSHRINK) \
	$(JS_MINFILES) $(CSS_MINFILES) $(CSS_GENFILES_ELASTIC)

# Skip source map creation for the bundled stuff
GENERATED_MAPFILES = $(addsuffix .map,$(filter-out program/js/publickey.min.js program/js/tinymce/%, \
	$(filter %.css %.js,$(JS_MINFILES) $(CSS_MINFILES) $(CSS_GENFILES_ELASTIC))))
GENERATED_FILES += $(GENERATED_MAPFILES)
$(GENERATED_MAPFILES): %.map: | % ;

# Pre-compress minified files (and also tinymce-langs/*.js and embed.css,
# since for these the client never requests the minified version)
COMPRESSED_FILES = $(JS_MINFILES) $(CSS_MINFILES) \
	$(filter %.css %.js,$(JSDEPS_FILES_NOSHRINK) $(CSS_GENFILES_ELASTIC))
COMPRESSED_FILES := $(addsuffix .gz,$(COMPRESSED_FILES))
GENERATED_FILES += $(COMPRESSED_FILES)
$(COMPRESSED_FILES): %.gz: %
	pigz -11 -mnk -- $<

execute_after_dh_auto_clean:
	debconf-updatepo
	@rm -f -- $(GENERATED_FILES) $(CSS_STAMPFILE)
	@rm -rf -- program/js/tinymce

override_dh_auto_build: $(GENERATED_FILES) ;
	sed -ri 's/^(#+\s+)Unreleased(\s|$$)/\1Release $(DEB_VERSION_UPSTREAM_MINOR)\2/' CHANGELOG.md
	sed -ri 's/\<$(DEB_VERSION_UPSTREAM_BRANCH)\>/$(DEB_VERSION_UPSTREAM_MINOR)/' \
		index.php public_html/index.php program/include/iniset.php program/lib/Roundcube/bootstrap.php
.SECONDARY:

PHPUNIT_EXCLUDE_GROUPS = flaky
ifeq ($(DEB_TARGET_ARCH_BITS),32)
	# unfortunately BaconQrCode doesn't work for 32 bits archs, see
	# https://github.com/Bacon/BaconQrCode/issues/76
	PHPUNIT_EXCLUDE_GROUPS += qrcode
endif
override_dh_auto_test:
	[ -d tests/.locale ] || mkdir tests/.locale
	localedef -c -i en_US -f UTF-8 tests/.locale/en_US.utf8
	ln -sfT ../.github/config-test.inc.php config/config-test.inc.php
	env RCUBE_INSTALL_PATH=$(CURDIR) LOCPATH=$(CURDIR)/tests/.locale \
		phpunit -c tests/phpunit.xml --fail-on-skipped \
			$(addprefix --exclude-group , $(PHPUNIT_EXCLUDE_GROUPS))

NONCORE_PLUGINS = $(filter-out $(CORE_PLUGINS),$(PLUGINS))
execute_after_dh_install:
	install -m0644 .htaccess debian/roundcube-core/etc/roundcube/htaccess
	install -m0644 composer.json-dist debian/roundcube-core/usr/share/roundcube/composer.json

	# database intial
	install -m0644 -DT SQL/mysql.initial.sql    debian/roundcube-core/usr/share/dbconfig-common/data/roundcube/install/mysql
	install -m0644 -DT SQL/postgres.initial.sql debian/roundcube-core/usr/share/dbconfig-common/data/roundcube/install/pgsql
	install -m0644 -DT SQL/sqlite.initial.sql   debian/roundcube-core/usr/share/dbconfig-common/data/roundcube/install/sqlite3

	# database update
	cp -rt debian/roundcube-core/usr/share/dbconfig-common/data/roundcube/upgrade debian/sql/*

	# install plugins
ifneq ($(CORE_PLUGINS),)
	dh_install -proundcube-core $(addprefix plugins/,$(CORE_PLUGINS)) \
		usr/share/roundcube/plugins
endif
ifneq ($(NONCORE_PLUGINS),)
	dh_install -proundcube-plugins $(addprefix plugins/,$(NONCORE_PLUGINS)) \
		usr/share/roundcube/plugins
endif

	# install plugin configuration
	$(foreach plugin,$(PLUGINS_CONFIGURABLE), \
		dh_install -p$(if $(filter $(plugin),$(CORE_PLUGINS)),roundcube-core,roundcube-plugins) \
			plugins/$(plugin)/config.inc.php etc/roundcube/plugins/$(plugin) && \
		) true

	# setup /usr/share/bug/$PACKAGE/control files
	$(foreach pkg,$(shell dh_listpackages), \
		install -m0644 -DT -- debian/bug.control debian/$(pkg)/usr/share/bug/$(pkg)/control && \
		) true

	# remove irrelevant upstream stuff from binary packages
	find debian/roundcube-*/usr/share/roundcube -name .gitignore -type f -delete
	rm -rf debian/roundcube-*/usr/share/roundcube/plugins/*/tests/
	rm -f debian/roundcube-core/etc/roundcube/config-test.inc.php

override_dh_installdocs:
	dh_installdocs --link-doc=roundcube-core -proundcube -proundcube-core
	dh_installdocs -proundcube-mysql -proundcube-pgsql -proundcube-sqlite3 -proundcube-plugins

	# remove documentation from /usr/share/roundcube/ and install into /usr/share/doc/roundcube-*/
	rm -f debian/roundcube-*/usr/share/roundcube/program/lib/Roundcube/README.md \
		debian/roundcube-*/usr/share/roundcube/skins/*/README* \
		debian/roundcube-*/usr/share/roundcube/plugins/*/README* \
		debian/roundcube-*/usr/share/roundcube/plugins/*/readme*

	$(foreach doc,$(wildcard skins/*/README* $(patsubst %,plugins/%/README*,$(CORE_PLUGINS))), \
		install -m0644 -DT $(doc) debian/roundcube-core/usr/share/doc/roundcube-core/$(doc) && \
		) true
	$(foreach doc,$(wildcard $(addprefix plugins/,\
			$(addsuffix /README*,$(NONCORE_PLUGINS)) $(addsuffix /readme*,$(NONCORE_PLUGINS)))), \

=== debian/watch ===
version=4
options="mode=git,pgpmode=gittag, \
         uversionmangle=s/-(alpha|beta|rc)(\d*)$/~$1$2/, \
         dversionmangle=s/\+dfsg(?:\.\d)?\d*$//, \
         repacksuffix=+dfsg" \
  https://github.com/roundcube/roundcubemail.git \
  refs/tags/v?@ANY_VERSION@ debian debian/uupdate

## roundcube 1.6.6%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
                php-crypt-gpg <!nocheck>,
                php-enchant <!nocheck>,
                php-gd <!nocheck>,
+               php-guzzlehttp-guzzle <!nocheck>,
                php-intl <!nocheck>,
                php-mail-mime <!nocheck>,
                php-masterminds-html5 <!nocheck>,
@@ -47,7 +48,6 @@
          libjs-jquery-minicolors (>= 2.2.6~),
          libjs-jquery-ui (>= 1.12.0~),
          libjs-jstimezonedetect (>= 1.0.6~),
-         libmagic1,
          php,
          php-cli,
          php-intl,
@@ -64,10 +64,17 @@
             roundcube-skin-classic,
             roundcube-skin-larry,
             ${phpcomposer:Debian-recommend}
-Suggests: roundcube-plugins, ${phpcomposer:Debian-suggest}
-Breaks: roundcube-plugins-extra (<= 0.6-20111030)
-Replaces: roundcube-plugins-extra (<= 0.6-20111030),
-          ${phpcomposer:Debian-replace}
+Suggests: roundcube-plugins,
+          roundcube-plugin-authres-status,
+          roundcube-plugin-contextmenu,
+          roundcube-plugin-html5-notifier,
+          roundcube-plugin-keyboard-shortcuts,
+          roundcube-plugin-listcommands,
+          roundcube-plugin-message-highlight,
+          roundcube-plugin-sauserprefs,
+          roundcube-plugin-thunderbird-labels,
+          ${phpcomposer:Debian-suggest}
+Replaces: ${phpcomposer:Debian-replace}
 Description: skinnable AJAX based webmail solution for IMAP servers
  RoundCube Webmail is a browser-based multilingual IMAP client with an
  application-like user interface. It provides full functionality
@@ -127,8 +134,6 @@
 Pre-Depends: dpkg (>= 1.17.14)
 Depends: roundcube-core (= ${source:Version}), ${misc:Depends}
 Suggests: php-cli, php-crypt-gpg, php-net-sieve, php-zip, python3
-Breaks: roundcube-plugins-extra (<= 0.7-20120110)
-Replaces: roundcube-plugins-extra (<= 0.7-20120110)
 Description: skinnable AJAX based webmail solution for IMAP servers - plugins
  RoundCube Webmail is a browser-based multilingual IMAP client with an
  application-like user interface. It provides full functionality

## roundcube 1.6.6+dfsg

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	cp -RH roundcubemail-git roundcubemail-$(VERSION)
 	(cd roundcubemail-$(VERSION); cp composer.json-dist composer.json)
 	(cd roundcubemail-$(VERSION); php /tmp/composer.phar config platform.php $(PHP_VERSION))
-	(cd roundcubemail-$(VERSION); php /tmp/composer.phar require "kolab/net_ldap3:~1.1.1" --no-update --no-install)
+	(cd roundcubemail-$(VERSION); php /tmp/composer.phar require "kolab/net_ldap3:~1.1.4" --no-update --no-install)
 	(cd roundcubemail-$(VERSION); php /tmp/composer.phar config --unset suggest.kolab/net_ldap3)
 	(cd roundcubemail-$(VERSION); php /tmp/composer.phar config --unset require-dev)
 	(cd roundcubemail-$(VERSION); php /tmp/composer.phar install --prefer-dist --no-dev --no-interaction)

=== debian/changelog ===
roundcube (1.6.6+dfsg-2ubuntu0.1) noble-security; urgency=medium

  * SECURITY UPDATE: Remote code execution post authentication
    - debian/patches/CVE-2025-49113.patch: Updated
      program/actions/settings/upload.php,
      program/lib/Roundcube/rcube_utils.php and
      tests/Framework/Utils.php to validate URL parameter in upload code
    - CVE-2025-49113

 -- Chrisa Oikonomou <chrisa.oikonomou@canonical.com>  Thu, 19 Jun 2025 13:45:34 +0300

roundcube (1.6.6+dfsg-2) unstable; urgency=medium

  * d/control: Drop ‘libmagic1’ from roundcube-core's Depends.
    (Closes: #1066853)

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 14 Mar 2024 19:28:50 +0100

roundcube (1.6.6+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release:
    + Fix regression in handling LDAP search_fields configuration parameter.
    + Fix PHP8 warnings.
    + Fix rcube::decrypt().
    + Enigma: Fix finding of a private key when decrypting a message using
      GnuPG v2.3.
    + Fix page jump menu flickering on click.
    + Fix Sieve scripts comment parse with CRLF.
    + Fix bug where trailing non-ascii characters in email addresses could
      have been removed in recipient input.
    + Fix IMAP GETMETADATA command with options [RFC5464].
    + Support (DEPTH 0) in GETMETADATA command.
    + Clear IMAP capabilities on connection close.
  * Add ‘logs/errors.log’ to d/clean. (Closes: #1046449)
  * Move version mangling from build to install targets.
  * d/roundcube-core.*.timer: Set Persistent=false. (Closes: #1057061)
  * d/roundcube-core.roundcube-cleandb.timer: Adjust OnCalendar= to match
    cronjob specification.
  * Refresh d/patches.
  * d/control: Add php-guzzlehttp-guzzle to Build-Depends (unless under
    ‘nocheck’ profile) as Actions_Utils_Modcss::test_run() requires it.
  * Backport upstream change from master branch to fix Actions_Utils_Modcss::
    test_run().
  * d/p/mark-flaky-tests-as-such.patch: Unmark test_encrypt_and_decrypt() as
    flaky.
  * d/origtargz-diff.sh: Drop query string from destination filename.

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 22 Jan 2024 15:16:43 +0100

roundcube (1.6.5+dfsg-1) unstable; urgency=high

  * New upstream security and bugfix release:
    + Fix CVE-2023-47272: Cross-site scripting (XSS) vulnerability in setting
      Content-Type/Content-Disposition for attachment preview/download.
      (Closes: #1055421)
    + Fix PHP8 fatal error when parsing a malformed BODYSTRUCTURE.
    + Fix UI issue when dealing with an invalid managesieve_default_headers
      value.
    + Fix bug where images attached to application/smil messages weren't
      displayed.
    + Fix PHP8 warnings.
    + Fix regression where ‘smtp_user’ did not allow pre/post strings
      before/after ‘%u’ placeholder.
  * d/control: Drop 10 year old Breaks+Replaces constraints.
  * d/rules: Update to reflect upstream Makefile.
  * roundcube-plugins: Remove obsolete maintscript.
  * roundcube-core: Suggests some potentially useful roundcube-plugin-*.
  * Refresh d/patches.

 -- Guilhem Moulin <guilhem@debian.org>  Sun, 05 Nov 2023 18:15:48 +0100

roundcube (1.6.4+dfsg-1) unstable; urgency=high

  * New upstream security and bugfix release:
    + Fix CVE-2023-5631: Cross-site scripting (XSS) vulnerability in handling
      of SVG in HTML messages. (Closes: #1054079)
    + Managesieve plugin: Fix javascript error when relational or spamtest
      extension is not enabled.
    + Fix PHP8 warnings.
  * Add DEP-8 test to check RCMAIL_VERSION against d/changelog.
  * roundcube-core.postinst: Don't choke on non-existing symlink targets.
    (Closes: #1053709)

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 16 Oct 2023 20:02:40 +0200

roundcube (1.6.3+dfsg-2) unstable; urgency=low

  * Replace upstream release “version” 1.6-git with the actual tagged version
    (currently 1.6.3).

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 07 Oct 2023 16:20:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: roundcube
 Section: web
 Priority: optional
-Maintainer: Debian Roundcube Maintainers <pkg-roundcube-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Roundcube Maintainers <pkg-roundcube-maintainers@alioth-lists.debian.net>
 Uploaders: Vincent Bernat <bernat@debian.org>,
            Sandro Knauß <hefee@debian.org>,
            Guilhem Moulin <guilhem@debian.org>

=== debian/tests/control ===
# Running as www-data to read /etc/roundcube/config.inc.php and /etc/roundcube/debian-db.php
Features: test-name=upstream-testsuite
Test-Command: mkdir -p tests/.locale &&
 localedef -c -i en_US -f UTF-8 tests/.locale/en_US.utf8 &&
 /sbin/runuser -u www-data -- env RCUBE_INSTALL_PATH=/var/lib/roundcube LOCPATH="$(pwd)/tests/.locale"
  phpunit -c tests/phpunit.xml --exclude-group=flaky
# WARN: roundcube-sqlite3 needs to appear *before* roundcube-core as otherwise it attempts to configure -mysql
Depends: aspell-en,
         hunspell-en-us,
         locales,
         php-bacon-qr-code [!armel !armhf !i386 !mipsel],
         php-crypt-gpg,
         php-enchant,
         php-gd,
         php-net-ldap3,
         php-pspell,
         php-roundcube-rtf-html-php,
         phpunit,
         roundcube-sqlite3,
         roundcube-core,
         roundcube-plugins
# XXX for better coverage (Browser tests) we would need Laravel Dusk, see .github/run.sh and tests/Browser/README.md
Restrictions: superficial, needs-root, rw-build-tree

Tests: check-upstream-version-number
Depends: roundcube-sqlite3, roundcube-core
Restrictions: superficial

# out of the box deployment with default HTTPd
Tests: apache2, cleanup, installer-checks
Depends: apache2, default-mysql-server, roundcube, curl
Restrictions: breaks-testbed, isolation-container, needs-root

# out of the box deployment with default lighttpd, both with php-fpm and
# php-cgi (prexisting fastcgi .php handler)
Tests: lighttpd
Depends: lighttpd (>= 1.4.55-2),
         default-mysql-server,
         php-cgi,
         php-fpm,
         roundcube,
         curl
Restrictions: breaks-testbed, isolation-container, needs-root

# check that ownership and permissions on configuration files and
# log/temp directories are sane; check also privilege drop for
# bin/update.sh
Tests: config-ownership-perms
Depends: roundcube-sqlite3, roundcube-core
Restrictions: allow-stderr, breaks-testbed, needs-root

# an hardened configuration with a dedicated PHP-FPM pool and dedicated
# user/group (so the HTTPd can't read sensitive roundcube data)
Tests: hardening-dedicated-user
Depends: nginx-light,
         default-mysql-server,
         php-fpm,
         roundcube,
         curl
Restrictions: needs-root, isolation-container

# dbconfig-no-thanks: set custom $config['db_dsnw']
Tests: dbconfig-no-thanks
Depends: apache2, dbconfig-no-thanks, roundcube-sqlite3, roundcube-core, curl
Restrictions: breaks-testbed, isolation-container, needs-root

## roundcube 1.6.7+dfsg

=== Makefile ===
--- 
+++ 
@@ -40,8 +40,8 @@
  
 framework: roundcubemail-git /tmp/phpDocumentor.phar
 	cp -r roundcubemail-git/program/lib/Roundcube roundcube-framework-$(VERSION)
-	(cd roundcube-framework-$(VERSION); php /tmp/phpDocumentor.phar -d . -t ./doc --title="Roundcube Framework" --defaultpackagename="Framework" --template="clean")
-	(cd roundcube-framework-$(VERSION); rm -rf doc/phpdoc-cache* .phpdoc)
+	(cd roundcube-framework-$(VERSION); php /tmp/phpDocumentor.phar run -d . -t ./doc --title="Roundcube Framework" --defaultpackagename="Framework")
+	(cd roundcube-framework-$(VERSION); rm -rf .phpdoc)
 	tar czf roundcube-framework-$(VERSION).tar.gz roundcube-framework-$(VERSION)
 	rm -rf roundcube-framework-$(VERSION)

=== debian/changelog ===
roundcube (1.6.7+dfsg-1) unstable; urgency=high

  * New upstream bugfix and security release (closes: #1071474):
    + Fix command injection via crafted im_convert_path/im_identify_path
      on Windows.
    + Fix cross-site scripting (XSS) vulnerability in handling list columns
      from user preferences.
    + Fix cross-site scripting (XSS) vulnerability in handling SVG animate
      attributes.
    + Fix PHP8 warnings.
  * Update Standards-Version to 4.7.0 (no changes necessary).
  * Refresh d/patches.

 -- Guilhem Moulin <guilhem@debian.org>  Sun, 19 May 2024 23:20:59 +0200

## roundcube 1.6.8+dfsg

=== debian/changelog ===
roundcube (1.6.8+dfsg-2ubuntu0.1) oracular-security; urgency=medium

  * SECURITY UPDATE: Remote code execution post authentication
    - debian/patches/CVE-2025-49113.patch: Updated
      program/actions/settings/upload.php,
      program/lib/Roundcube/rcube_utils.php and
      tests/Framework/Utils.php to validate URL parameter in upload code
    - CVE-2025-49113

 -- Chrisa Oikonomou <chrisa.oikonomou@canonical.com>  Wed, 04 Jun 2025 15:41:15 +0300

roundcube (1.6.8+dfsg-2) unstable; urgency=medium

  * Regression fix: The fix for CVE-2024-42008 breaks printing and other
    handling of image attachments. (Closes: #1078456)
  * Fix FTBFS with phpunit 11. (Closes: #1039853, #1070637)

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 10 Aug 2024 21:43:43 +0200

roundcube (1.6.8+dfsg-1) unstable; urgency=medium

  * New upstream bugfix and security release (closes: #1077969):
    + Fix fatal error when parsing some TNEF attachments.
    + Fix decoding mail parts with multiple base64-encoded text blocks.
    + Fix infinite loop when parsing malformed Sieve script.
    + Fix bug where imap_conn_option's 'socket' was ignored.
    + Fix CVE-2024-42008: XSS vulnerability in serving of attachments other
      than HTML or SVG.
    + Fix CVE-2024-42009: XSS vulnerability in post-processing of sanitized
      HTML content.
    + Fix CVE-2024-42010: Fix information leak (access to remote content) via
      insufficient CSS filtering.
  * Refresh d/patches.

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 05 Aug 2024 11:31:31 +0200

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
                uglifyjs
 Rules-Requires-Root: no
 Homepage: https://www.roundcube.net/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/roundcube-team/roundcube.git -b debian/latest
 Vcs-Browser: https://salsa.debian.org/roundcube-team/roundcube

## roundcube 1.6.9+dfsg

=== debian/changelog ===
roundcube (1.6.9+dfsg-2) unstable; urgency=medium

  * Fix FTBFS and DEP-8 tests with PHP8.4 (closes: #1089732):
    + Backport upstream commit to fix broken/flaky unit test.
    + Add ‘allow-stderr’ restriction to some autopkgtests to workaround
      #1090887.

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 20 Dec 2024 16:46:30 +0100

roundcube (1.6.9+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * d/patches: Add missing ‘Forwarded: not-needed’.
  * d/copyright: Change Upstream-Name to match composer.json-dist.
  * d/copyright: Bump copyright years.
  * Refresh d/patches and remove patches applied upstream.

 -- Guilhem Moulin <guilhem@debian.org>  Sun, 01 Sep 2024 11:15:55 +0200

## roundcube 1.6.10%2Bdfsg

=== debian/changelog ===
roundcube (1.6.10+dfsg-1ubuntu0.1) plucky-security; urgency=medium

  * SECURITY UPDATE: Remote code execution post authentication
    - debian/patches/CVE-2025-49113.patch: Updated
      program/actions/settings/upload.php,
      program/lib/Roundcube/rcube_utils.php and
      tests/Framework/Utils.php to validate URL parameter in upload code
    - CVE-2025-49113

 -- Chrisa Oikonomou <chrisa.oikonomou@canonical.com>  Wed, 04 Jun 2025 11:06:44 +0300

roundcube (1.6.10+dfsg-1) unstable; urgency=medium

  * New upstream release.  Highlight includes:
    + IMAP: Partial support for ANNOTATE-EXPERIMENT-1 extension (RFC 5257)
    + OAuth: Support standard authentication with short-living password
      received with OIDC token
    + Fix PHP deprecation warnings
    + Fix whitespace handling in vCard line continuation
    + Fix regression causing inline SVG images to be missing in mail preview
    + Fix PHP fatal error when parsing some malformed BODYSTRUCTURE responses
    + Fix Oauth issues with use_secure_urls=true
    + Fix handling of binary mail parts (e.g. PDF) encoded with quoted-printable
    + Fix decoding of attachment names encoded using both RFC2231 and RFC2047
      standards

  [ наб ]
  * d/control: Build-Depends: remove dh-buildinfo (see #1068809).

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation.

  [ Guilhem Moulin ]
  * Refresh d/patches.

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 08 Feb 2025 16:21:44 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
 Build-Depends: aspell-en <!nocheck>,
                cleancss,
                debhelper-compat (= 13),
-               dh-buildinfo,
                hunspell-en-us <!nocheck>,
                locales <!nocheck>,
                node-less (>= 3.0.0~),

## roundcube 1.6.10+dfsg

=== Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 	(cd roundcubemail-$(VERSION); php /tmp/composer.phar config platform.php $(PHP_VERSION))
 	(cd roundcubemail-$(VERSION); php /tmp/composer.phar require "kolab/net_ldap3:~1.1.4" --no-update --no-install)
 	(cd roundcubemail-$(VERSION); php /tmp/composer.phar config --unset suggest.kolab/net_ldap3)
-	(cd roundcubemail-$(VERSION); php /tmp/composer.phar config --unset require-dev)
+	(cd roundcubemail-$(VERSION); php /tmp/composer.phar remove phpunit/phpunit --dev --no-update)
 	(cd roundcubemail-$(VERSION); php /tmp/composer.phar install --prefer-dist --no-dev --no-interaction)
 	(cd roundcubemail-$(VERSION); php /tmp/composer.phar config --unset platform)
 	(cd roundcubemail-$(VERSION); bin/install-jsdeps.sh --force)

=== debian/rules ===
--- 
+++ 
@@ -94,9 +94,6 @@
 	@rm -rf -- program/js/tinymce
 
 override_dh_auto_build: $(GENERATED_FILES) ;
-	sed -ri 's/^(#+\s+)Unreleased(\s|$$)/\1Release $(DEB_VERSION_UPSTREAM_MINOR)\2/' CHANGELOG.md
-	sed -ri 's/\<$(DEB_VERSION_UPSTREAM_BRANCH)\>/$(DEB_VERSION_UPSTREAM_MINOR)/' \
-		index.php public_html/index.php program/include/iniset.php program/lib/Roundcube/bootstrap.php
 .SECONDARY:
 
 PHPUNIT_EXCLUDE_GROUPS = flaky
@@ -147,6 +144,14 @@
 		install -m0644 -DT -- debian/bug.control debian/$(pkg)/usr/share/bug/$(pkg)/control && \
 		) true
 
+	# fix upstream version, cf. upstream's Makefile
+	sed -ri 's/\<$(DEB_VERSION_UPSTREAM_BRANCH)\>/$(DEB_VERSION_UPSTREAM_MINOR)/' \
+		debian/roundcube-core/usr/share/roundcube/index.php \
+		debian/roundcube-core/var/lib/roundcube/public_html/index.php \
+		debian/roundcube-core/usr/share/roundcube/installer/index.php \
+		debian/roundcube-core/usr/share/roundcube/program/include/iniset.php \
+		debian/roundcube-core/usr/share/roundcube/program/lib/Roundcube/bootstrap.php
+
 	# remove irrelevant upstream stuff from binary packages
 	find debian/roundcube-*/usr/share/roundcube -name .gitignore -type f -delete
 	rm -rf debian/roundcube-*/usr/share/roundcube/plugins/*/tests/
@@ -156,14 +161,11 @@
 	dh_installdocs --link-doc=roundcube-core -proundcube -proundcube-core
 	dh_installdocs -proundcube-mysql -proundcube-pgsql -proundcube-sqlite3 -proundcube-plugins
 
+	# fix upstream version, cf. upstream's Makefile
+	sed -ri 's/^(#+\s+)Unreleased(\s|$$)/\1Release $(DEB_VERSION_UPSTREAM_MINOR)\2/' \
+		debian/*/usr/share/doc/*/CHANGELOG.md
+
 	# remove documentation from /usr/share/roundcube/ and install into /usr/share/doc/roundcube-*/
 	rm -f debian/roundcube-*/usr/share/roundcube/program/lib/Roundcube/README.md \
 		debian/roundcube-*/usr/share/roundcube/skins/*/README* \
 		debian/roundcube-*/usr/share/roundcube/plugins/*/README* \
-		debian/roundcube-*/usr/share/roundcube/plugins/*/readme*
-
-	$(foreach doc,$(wildcard skins/*/README* $(patsubst %,plugins/%/README*,$(CORE_PLUGINS))), \
-		install -m0644 -DT $(doc) debian/roundcube-core/usr/share/doc/roundcube-core/$(doc) && \
-		) true
-	$(foreach doc,$(wildcard $(addprefix plugins/,\
-			$(addsuffix /README*,$(NONCORE_PLUGINS)) $(addsuffix /readme*,$(NONCORE_PLUGINS)))), \

=== debian/tests/control ===
--- 
+++ 
@@ -20,11 +20,11 @@
          roundcube-core,
          roundcube-plugins
 # XXX for better coverage (Browser tests) we would need Laravel Dusk, see .github/run.sh and tests/Browser/README.md
-Restrictions: superficial, needs-root, rw-build-tree
+Restrictions: superficial, needs-root, rw-build-tree, allow-stderr
 
 Tests: check-upstream-version-number
 Depends: roundcube-sqlite3, roundcube-core
-Restrictions: superficial
+Restrictions: superficial, allow-stderr
 
 # out of the box deployment with default HTTPd
 Tests: apache2, cleanup, installer-checks
@@ -62,4 +62,4 @@
 # dbconfig-no-thanks: set custom $config['db_dsnw']
 Tests: dbconfig-no-thanks
 Depends: apache2, dbconfig-no-thanks, roundcube-sqlite3, roundcube-core, curl
-Restrictions: breaks-testbed, isolation-container, needs-root
+Restrictions: breaks-testbed, isolation-container, needs-root, allow-stderr

## roundcube 1.6.11+dfsg

=== Makefile ===
--- 
+++ 
@@ -62,9 +62,9 @@
 	git clone --branch=$(GITBRANCH) --depth=1 $(GITREMOTE) roundcubemail-git
 	(cd roundcubemail-git; bin/jsshrink.sh; bin/updatecss.sh; bin/cssshrink.sh)
 	(cd roundcubemail-git/skins/elastic; \
-		lessc --clean-css="--s1 --advanced" styles/styles.less > styles/styles.min.css; \
-		lessc --clean-css="--s1 --advanced" styles/print.less > styles/print.min.css; \
-		lessc --clean-css="--s1 --advanced" styles/embed.less > styles/embed.min.css)
+		npx lessc --clean-css="--s1 --advanced" styles/styles.less > styles/styles.min.css; \
+		npx lessc --clean-css="--s1 --advanced" styles/print.less > styles/print.min.css; \
+		npx lessc --clean-css="--s1 --advanced" styles/embed.less > styles/embed.min.css)
 	(cd roundcubemail-git/bin; rm -f transifexpull.sh package2composer.sh)
 	(cd roundcubemail-git; find . -name '.gitignore' | xargs rm -f)
 	(cd roundcubemail-git; find . -name '.travis.yml' | xargs rm -f)

=== debian/changelog ===
roundcube (1.6.11+dfsg-1) unstable; urgency=high

  * New upstream security and bugfix release.
    + Fix Post-Auth RCE via PHP Object Deserialization (closes: #1107073).
  * Refresh d/patches.

 -- Guilhem Moulin <guilhem@debian.org>  Sun, 01 Jun 2025 11:12:44 +0200

roundcube (1.6.10+dfsg-2) unstable; urgency=medium

  * d/t/control: Replace nginx-light dependency with nginx (closes: #1095638).
  * Update Standards-Version to 4.7.2 (no changes necessary).
  * d/copyright: Replace FSF's old postal address with an URL.

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 02 May 2025 16:48:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: roundcube
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Roundcube Maintainers <pkg-roundcube-maintainers@alioth-lists.debian.net>
+Maintainer: Debian Roundcube Maintainers <pkg-roundcube-maintainers@alioth-lists.debian.net>
 Uploaders: Vincent Bernat <bernat@debian.org>,
            Sandro Knauß <hefee@debian.org>,
            Guilhem Moulin <guilhem@debian.org>
@@ -33,7 +32,7 @@
                uglifyjs
 Rules-Requires-Root: no
 Homepage: https://www.roundcube.net/
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/roundcube-team/roundcube.git -b debian/latest
 Vcs-Browser: https://salsa.debian.org/roundcube-team/roundcube

=== debian/tests/control ===
--- 
+++ 
@@ -52,7 +52,7 @@
 # an hardened configuration with a dedicated PHP-FPM pool and dedicated
 # user/group (so the HTTPd can't read sensitive roundcube data)
 Tests: hardening-dedicated-user
-Depends: nginx-light,
+Depends: nginx,
          default-mysql-server,
          php-fpm,
          roundcube,

## roundcube 1.6.12+dfsg

=== debian/changelog ===
roundcube (1.6.12+dfsg-1) unstable; urgency=high

  * New upstream security and bugfix release (closes: #1122899).
    + Fix Cross-Site-Scripting vulnerability via SVG's animate tag.
    + Fix Information Disclosure vulnerability in the HTML style sanitizer.
  * d/watch:
    + Port to Version 5.
    + Simplify [UD]version-Mangle.
    + Use @STABLE_VERSION@ not @ANY_VERSION@ as tag matching pattern.
  * Refresh d/patches.

 -- Guilhem Moulin <guilhem@debian.org>  Sun, 14 Dec 2025 10:53:54 +0100
